#ifndef STRINGPROCESSOR_H
#define STRINGPROCESSOR_H

#include <QObject>

class TextProcessor : public QObject
{
    Q_OBJECT
    // ToDo: register properties
public:
    enum Action { NoAction, MakeUppercase, MakeLowercase };
    // ToDo: register enumeration

    explicit TextProcessor(QObject *parent = nullptr);
    QString text() const;
    Action action() const;
    QString processedText() const;

    // ToDo: register prepend method
    QString prepend(const QString &string);

signals:
    // ToDo: declare signals

public slots:
    void setText(const QString &text);
    void setAction(Action action);

private:
    QString _text;
    Action _action;
};

#endif // STRINGPROCESSOR_H
